<?php

namespace Luticate\Auth\Business;

use Luticate\Utils\LuBusiness;
use Luticate\Auth\DataAccess\LuticateGroupsDataAccess;
use Luticate\Auth\DBO\LuticateGroupsDbo;

class LuticateGroupsBusiness extends LuBusiness {
    protected static function getDataAccess()
    {
        return new LuticateGroupsDataAccess();
    }

    public static function getByName($group_name)
    {
        return LuticateGroupsDataAccess::getByName($group_name);
    }

    public static function addUserToGroup($user_id, $group_id)
    {
        return LuticateGroupsDataAccess::addUserToGroup($user_id, $group_id);
    }

    public static function add($group_name)
    {
        $group = self::getByName($group_name);
        if (is_null($group)) {
            $group = new LuticateGroupsDbo();
            $group->setName($group_name);
            return LuticateGroupsDataAccess::addId($group);
        }
        return $group->getId();
    }
}