<?php

namespace Luticate\Auth\Business;

use Luticate\Utils\LuBusiness;
use Luticate\Auth\DataAccess\LuticatePermissionsDataAccess;
use Luticate\Auth\DBO\LuticatePermissionsDbo;

class LuticatePermissionsBusiness extends LuBusiness {
    protected static function getDataAccess()
    {
        return new LuticatePermissionsDataAccess();
    }

    public static function getUserPermission($user_id, $permission_name)
    {
        $val = LuticatePermissionsDataAccess::getUserPermission($user_id, $permission_name);
        if (is_null($val)) {
            return false;
        }
        return $val;
    }

    public static function getUserDynamicPermission($user_id, $permission_name, $action, $resource_id)
    {
        $dynamic_permission_name = "DYN_" . $permission_name . "_" . $action . "_" . $resource_id;
        $val = LuticatePermissionsDataAccess::getUserPermission($user_id, $dynamic_permission_name);
        if (is_null($val)) {
            return self::getUserPermission($user_id, $permission_name);
        }
        return $val;
    }
}